package org.springblade.device.feign;

import org.springblade.device.entity.IotAlarmGroup;
import org.springblade.device.vo.IotAlarmGroupVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class IotAlarmGroupClientFallback implements IIotAlarmGroupClient {
            /**
         * 详情
         */
        @Override
        public IotAlarmGroupVO detail(IotAlarmGroup iotAlarmGroup) {
            return null;
        }

        /**
         * 查询 告警处理组
         */
        @Override
        public List<IotAlarmGroupVO> list(IotAlarmGroup iotAlarmGroup) {
            return null;
        }

    

        /**
         * 新增 告警处理组
         */
        @Override
        public boolean save( IotAlarmGroup iotAlarmGroup) {
            return false;
        }

        /**
         * 修改 告警处理组
         */
        @Override
        public boolean update( IotAlarmGroup iotAlarmGroup) {
            return false;
        }

        /**
         * 新增或修改 告警处理组
         */
        @Override
        public boolean submit( IotAlarmGroup iotAlarmGroup) {
            return false;
        }

    
        /**
         * 删除 告警处理组
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
